Subject: [Tsvwg] Re: [SCTP-Discussion] Number of miss indications

From: Michael Tuexen <[email-masked]>
Date: Wed, 30 Aug 2006 16:27:03 +0200

Hi Hendrik,

this is a question regarding IETF documents, not regarding the  
sctplib implementation.
These questions are discussed at the tsvwg mailing list. I'm CCing it  
therefore.

Comments in-line.

Best regards
Michael

On Aug 30, 2006, at 11:16 AM, Hendrik Land wrote:

> Hi,
>
> I have a question regarding the number of miss indications before  
> SCTP enters
> Fast Retransmit/Recovery. The information in RFC4460 and
> draft-ietf-tsvwg-2960bis-02 seems to be different.
>
> draft-ietf-tsvwg-2960bis-02 states in the second paragraph of 7.2.4
>
>   "Whenever an endpoint receives a SACK that indicates that some TSNs
>    are missing, it SHOULD wait for 2 further miss indications (via
>    subsequent SACKs for a total of 3 missing reports) on the same TSNs
>    before taking action with regard to Fast Retransmit."
>
> The same document states in the end of 7.2.4
>
>    "The counter increments for each
>    consecutive SACK reporting the TSN hole.  After reaching 4 and
>    starting the fast retransmit procedure, the counter resets to 0."
This is an error in draft-ietf-tsvwg-2960bis-02 and Randall will fix  
this,
I guess... Thanks for catching it.
>
> And RFC 4460 states on p22
>
>    "Whenever an endpoint receives a SACK that indicates that some TSNs
>    are missing, it SHOULD wait for 3 further miss indications (via
>    subsequent SACKs) on the same TSN(s) before taking action with
>    regard to Fast Retransmit."
>
>
This text is overwritten in section 2.52 of RFC 4460. The new text  
reads:

       Whenever an endpoint receives a SACK that indicates some TSN(s)
       missing, it SHOULD wait for 3 further miss indications (via
       subsequent SACK's) on the same TSN(s) before taking action with
       regard to Fast Retransmit.

> What is the latest word on this, 3 or 4 missing reports before a fast
> retransmit?
3
>
> Thanks
>
> Hendrik
>
>
>
> _______________________________________________
> discussion mailing list
> [email-masked]
> http://www.sctp.de/mailman/listinfo/discussion
>

---

From: Randall Stewart <[email-masked]>
Date: Wed, 30 Aug 2006 11:37:27 -0400

Michael Tuexen wrote:
> Hi Hendrik,
> 
> this is a question regarding IETF documents, not regarding the  sctplib 
> implementation.
> This is an error in draft-ietf-tsvwg-2960bis-02 and Randall will fix  this,

Yep.. good catch.. I missed this one :-0

> This text is overwritten in section 2.52 of RFC 4460. The new text  reads:
> 
This is a mix up.. we should wait for a total of 3 missing reports.. so
the above text should say "wait for 2 further miss indications" not 3.

I will fix this as well :-)

R

-- 
Randall Stewart
NSSTG - Cisco Systems Inc.
803-345-0369 <or> 815-342-5222 (cell)

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 30 Aug 2006 17:53:54 +0200

Comment in-line.

Best regards
Michael

On Aug 30, 2006, at 5:37 PM, Randall Stewart wrote:

>> These questions are discussed at the tsvwg mailing list. I'm CCing  
>> it  therefore.
>> Comments in-line.
>> Best regards
>> Michael
>>> I have a question regarding the number of miss indications  
>>> before  SCTP enters
Arghhhh I copied the "old text". The "next text" says:

       Whenever an endpoint receives a SACK that indicates that some
       TSNs are missing, it SHOULD wait for 2 further miss indications
       (via subsequent SACKs for a total of 3 missing reports) on the
       same TSNs before taking action with regard to Fast Retransmit.

It was my copy and past error in the mail...

---

From: Randall Stewart <[email-masked]>
Date: Wed, 30 Aug 2006 13:47:04 -0400

> It was my copy and past error in the mail...

I figured that out when I looked at the document :-D

I did fix the error where it said 4 instead of 3 though :-D

R